Bug 731820 - Review Request: kcm-qt-graphicssystem - Easily configure the standard Qt graphics system
Review Request: kcm-qt-graphicssystem - Easily configure the standard Qt grap...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kalev Lember
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2011-08-18 15:08 EDT by Rex Dieter
Modified: 2011-09-06 23:18 EDT (History)
4 users (show)

See Also:
Fixed In Version: kcm-qt-graphicssystem-1.3-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-06 23:18:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kalevlember: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Kalev Lember 2011-08-20 03:33:37 EDT
Taking for review.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3288557

> Requires: kdebase-runtime
Is this a plugin to one of the apps in kdebase-runtime? If so, the requires
should include %{?_isa} to make the dependency arch-dependant.
Comment 2 Kalev Lember 2011-08-20 03:45:11 EDT
Fedora review kcm-qt-graphicssystem-1.2-1.fc15.src.rpm  2011-08-20

+ OK
! needs attention

koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3288557

$ rpmlint kcm-qt-graphicssystem-1.2-1.fc16.src.rpm \
          kcm-qt-graphicssystem-1.2-1.fc16.x86_64.rpm \
          kcm-qt-graphicssystem-debuginfo-1.2-1.fc16.x86_64.rpm
kcm-qt-graphicssystem.src:2: W: mixed-use-of-spaces-and-tabs (spaces: line 2, tab: line 2)
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

! rpmlint warning is harmless, but would be nice to make it happy
+ The package is named according to Fedora packaging guidelines
+ The spec file name matches the package base name
+ The package meets the Packaging Guidelines
+ The package is licensed with a Fedora approved license and meets the
  Licensing Guidelines.
+ The license field in the spec file matches the actual license
+ The package contains the license file (COPYING)
+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match sources in the srpm. md5sum:
  aef872cb2e892891a813026b0a8156f5  129817-kcm-qt-graphicssystem-1.2.tar.xz
  aef872cb2e892891a813026b0a8156f5  Download/129817-kcm-qt-graphicssystem-1.2.tar.xz
+ The package builds in koji
n/a ExcludeArch bugs filed
+ BuildRequires look sane
n/a The spec file MUST handle locales properly
n/a ldconfig in %post and %postun
+ Package does not bundle copies of system libraries
n/a Package isn't relocatable
+ No duplicated files in %files section
+ Permissions are properly set
+ Consistent use of macros
+ The package must contain code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect package
n/a Header files should be in -devel
n/a Static libraries should be in -static
n/a Library files that end in .so must go in a -devel package
  It's a plugin package, not applicable.
n/a -devel must require the fully versioned base
+ Packages should not contain libtool .la files
n/a Packages containing GUI apps must include %{name}.desktop file
+ Directory ownership sane
+ Filenames are valid UTF-8


Remaining issues:
 - there are trailing tabs on lines 2 and 8 which rpmlint is complaining about
 - should probably use %{?_isa} to tighten the kdebase-runtime requires

These are all minor issues and can all be fixed before importing the package.

APPROVED
Comment 3 Rex Dieter 2011-08-20 16:34:56 EDT
New Package SCM Request
=======================
Package Name: kcm-qt-graphicssystem
Short Description: Easily configure the standard Qt graphics system
Owners: rdieter
Branches: f15 f16
InitialCC:
Comment 4 Gwyn Ciesla 2011-08-20 17:20:56 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2011-08-20 20:00:06 EDT
kcm-qt-graphicssystem-1.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kcm-qt-graphicssystem-1.2-1.fc16
Comment 6 Fedora Update System 2011-08-22 14:34:22 EDT
kcm-qt-graphicssystem-1.2-1.fc16 has been pushed to the Fedora 16 testing repository.
Comment 7 Fedora Update System 2011-08-26 17:19:17 EDT
kcm-qt-graphicssystem-1.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kcm-qt-graphicssystem-1.3-1.fc16
Comment 8 Fedora Update System 2011-09-06 23:18:39 EDT
kcm-qt-graphicssystem-1.3-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.